#ifndef __ODTILE2_H__
#define __ODTILE2_H__

#include "ododecahedron.h"

//////////////////////////////////////////////////////////////////////////////
// ODTile2
//

class ODTile2 : public ODodecahedron
{

//////////////////////////////////////////////////
// Initialization
//
public:
  ODTile2();
  virtual ~ODTile2();

//////////////////////////////////////////////////
// Output
//
public:
  virtual VOID OutputES(FILE *fpOutputFile, 
			CHAR *paletteFilename,
			CHAR *colorFilename);

//////////////////////////////////////////////////
// Accessor Functions
//
public:
  virtual inline UINT_32 GetType();
  virtual VOID FindMatrices(Matrix &m1, Matrix &m2, TilePoint *tpt1);

//////////////////////////////////////////////////
// Class Variables
//
protected:

//////////////////////////////////////////////////
// Member Variables
//
protected:

};

//////////////////////////////////////////////////////////////////////
// Inlined Functions
//

inline UINT_32 ODTile2::GetType()
{
  return estODTile2;
}

#endif // __ODTILE2_H__
