#ifndef __OCTILE1_H__
#define __OCTILE1_H__

#include "ocube.h"

//////////////////////////////////////////////////////////////////////////////
// OCTile1
//

class OCTile1 : public OCube
{

//////////////////////////////////////////////////
// Initialization
//
public:
  OCTile1();
  virtual ~OCTile1();

//////////////////////////////////////////////////
// Output
//
public:
  virtual VOID OutputES(FILE *fpOutputFile, 
			CHAR *paletteFilename,
			CHAR *colorFilename);

//////////////////////////////////////////////////
// Accessor Functions
//
public:
  virtual inline UINT_32 GetType();

  virtual VOID FindMatrices(Matrix &m1, Matrix &m2, TilePoint *tpt1);

//////////////////////////////////////////////////
// Class Variables
//
protected:

//////////////////////////////////////////////////
// Member Variables
//
protected:

};

//////////////////////////////////////////////////////////////////////
// Inlined Functions
//

inline UINT_32 OCTile1::GetType()
{
  return estOCTile1;
}

#endif // __OCTILE1_H__
