#ifndef __ODODECAHEDRON_H__
#define __ODODECAHEDRON_H__

#include "symmetrygroup.h"

//////////////////////////////////////////////////////////////////////////////
// ODodecahedron
//

class ODodecahedron : public SymmetryGroup
{

//////////////////////////////////////////////////
// Initialization
//
public:
  ODodecahedron();
  virtual ~ODodecahedron();

  virtual VOID InitFaceGrid();
  virtual VOID InitSphereFaceGrid();
  virtual VOID InitOutline();

  virtual VOID InitFaceMatrices();
  virtual VOID InitTileMatrices();

//////////////////////////////////////////////////
// Rendering
//
public:

//////////////////////////////////////////////////
// Output
//
public:
  virtual inline UINT_32 GetType() = 0;
  virtual VOID OutputES(FILE *fpOutputFile, CHAR *paletteFilename,
			CHAR *colorFilename);

//////////////////////////////////////////////////
// Accessor Functions
//
public:

  virtual VOID FindMatrices(Matrix &m1, Matrix &m2, TilePoint *tpt1);

//////////////////////////////////////////////////
// Class Variables
//
protected:

//////////////////////////////////////////////////
// Member Variables
//
protected:

};

//////////////////////////////////////////////////////////////////////
// Inlined Functions
//


#endif // __ODODECAHEDRON_H__
