#ifndef __OTTILE1_H__
#define __OTTILE1_H__

#include "otetrahedron.h"

//////////////////////////////////////////////////////////////////////////////
// OTTile1
//

class OTTile1 : public OTetrahedron
{

//////////////////////////////////////////////////
// Initialization
//
public:
  OTTile1();
  virtual ~OTTile1();

//////////////////////////////////////////////////
// Output
//
public:
  virtual VOID OutputES(FILE *fpOutputFile, 
			CHAR *paletteFilename,
			CHAR *colorFilename);

//////////////////////////////////////////////////
// Accessor Functions
//
public:
  inline UINT_32 GetType();
  virtual VOID FindMatrices(Matrix &m1, Matrix &m2, TilePoint *tpt1);

//////////////////////////////////////////////////
// Class Variables
//
protected:

//////////////////////////////////////////////////
// Member Variables
//
protected:

};

//////////////////////////////////////////////////////////////////////
// Inlined Functions
//

inline UINT_32 OTTile1::GetType()
{
  return estOTTile1;
}

#endif // __OTTILE1_H__
