#include "snappoint.h"
#include "tilepoint.h"


//////////////////////////////////////////////////////////////////////
// SnapPoint Class
//


SnapPoint::SnapPoint()
{
  m_bSnapped = FALSE;
  m_listTilePoints.Init();
}

SnapPoint::~SnapPoint()
{
}

VOID SnapPoint::SnapTilePoints(FLOAT fHeight, Point pt)
{
  CListIterInt iter;
  TilePoint *tpt;

  if( !m_bSnapped )
    {
      iter.Init(&m_listTilePoints);
      for( tpt = (TilePoint *)(iter.PeekFirst()); 
	   tpt != NULL;
	   tpt = (TilePoint *)(iter.PeekNext()) )
	{
	  if( !(tpt->GetHeightSelected()) )
	    {
	      tpt->SnapToHeight(fHeight, pt);
	    }
	}
    }

  m_bSnapped = TRUE;
}
